#### D.12.4.10 chaincrit

Procedure from library `teachstd.lib` (see teachstd_lib).

Usage:
  chaincrit(f,g,h); f,g,h poly or module

Return:
  1 if chain criterion applies, 0 else

Note:
  if chain criterion applies to f,g,h we can delete (g,h) from pairset

Example:

    LIB "teachstd.lib";
    ring r=0,(x,y,z),dp;
    poly f = x2y2z2+x5+yx3+z6;
    poly g = x5+yx3;
    poly h = y2z5+x5+yx3;
    chaincrit(f,g,h);
    ==> 1
    vector u = [x2y3-z2,x2y];
    vector v = [x2y2+z2,x2-y2];
    vector w = [x2y4+z3,x2+y2];
    chaincrit(u,v,w);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.